# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Crypt/Blowfish_PP.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(Module/Build.pm) perl(POE.pm) perl(POE/Component/IRC/Plugin.pm) perl(Test/More.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name POE-Component-IRC-Plugin-Blowfish
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A POE::Component::IRC plugin that provides blowfish encryption.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PL/PLU/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
POE::Component::IRC::Plugin::Blowfish, is a POE::Component::IRC plugin that provides
a mechanism for encrypting and decrypting IRC messages using Crypt::Blowfish_PP. If there is a
blowfish key set for a IRC channel this plugin will always encrypt and decrypt IRC messages of that
channel. After the plugin has registered it will push itself to the first position in the plugin
pipeline. This is necessary that all other plugins will get the decrypted IRC messages.

This plugin is compatible to blowfish irssi plugin: http://fish.sekure.us/irssi/


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/P*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

